package de.ctdo.bunti.dao;

import de.ctdo.bunti.model.Par56Spot;
import de.ctdo.bunti.model.Room;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import java.util.List;


public final class RoomsDAOImpl extends HibernateDaoSupport implements RoomsDAO {

    public RoomsDAOImpl() {

    }

    
    @Override
    public List<Room> getRooms() {
        
        //if(getHibernateTemplate().loadAll(Room.class).size() == 0) {
            
            Room r = new Room();
            r.setId(1);
            r.setFloor("Floor 1");
            r.setName("Kueche");
            Par56Spot spot = new Par56Spot();
            spot.setDeviceName("Spot 1");
            spot.setStartAddress(1);
//            r.addDevice(spot);

            getHibernateTemplate().save(spot);
            getHibernateTemplate().save(r);
            
        //}
        
        return getHibernateTemplate().loadAll(Room.class);
    }

    @Override
    public Room getRoom(int id) {
        return getHibernateTemplate().get(Room.class, id);
    }

    @Override
    public Room addRoom(Room room) {
        getHibernateTemplate().save(room);
        return room;
    }

    @Override
    public void removeRoom(int id) {
        getHibernateTemplate().delete(getRoom(id));
    }
}
